@import url('https://fonts.googleapis.com/css2?family=Inter:wght@300;400;700&display=swap');
body{
	font-size			: 15px;
}

.landing-background{
	position			: absolute;
	top: 0;
	left:0;
	width: 100vw;
	height: 100vh;
	background-image	: url('_lib/images/arayahemas_background_2.jpg');
	background-position: center center;
	background-size: cover;
	background-repeat: no-repeat;
}
.screen-center{
	position: fixed;
	top: 50%;
	left: 50%;
	transform: translate(-50%, -50%); 
}

#loading-bar-container {
	width				: 10vw;
	min-width			: 150px;
	height				: 10px;
	background-color	: #EEB959;
	border				: solid 2px #754E0C;
	border-radius		: 5px;
	overflow			: hidden;
}

#loading-progress {
	height				: 100%;
	width				: 0%; /* Initial width, controlled by JavaScript */
	background-image	: linear-gradient(#FFF557, #FFD335);
	transition			: width 0.2s ease-in-out; /* Smooth transition for width changes */
}

/**/
.welcome-banner{
	font-family	: 'Inter', sans-serif;
	opacity: 0;
}
.welcome-title{
	font-size		: 4.5rem;
	font-weight		: 700;
	line-height		: 1;
	margin			: 0;
	letter-spacing	: -0.025em;
	text-align		: center;
}
.welcome-title div{
	margin			: 10px;
}


/**/
.landing-logo-container{
	display			: flex;
	width			: 150px;
	height			: 150px;
	text-align		: center;
	transform		: translate(-50%, -50%); 
}
.logo-anim{
	position		: absolute;
	opacity			: 0;
}
.logo-anim img.logo{
	max-width		: 150px;
	max-height		: 150px;
}


/**/
.companyProfile-container{
	display			: flex;
}
.companyProfile-wrapper{
	position		: absolute;
	border-top-left-radius: 175px;
	border-top-right-radius: 175px;
	border-bottom-left-radius: 15px;
	border-bottom-right-radius: 15px;
	overflow: hidden;
	
	width			: 350px;
	height			: 520px;
	
	background		: #FFF;
	box-shadow		: 0 25px 20px 7px rgba(0, 0, 0, 0.3);
	
	top				: 50%;
	left			: 50%;
	transform		: translate(-50%, -50%); 
	opacity			: 0;

	cursor: pointer;
}
.companyProfile-wrapper:hover{
	box-shadow		: 0 25px 20px 7px rgba(0, 0, 0, 0.5);
}

.companyProfile-detail{
	overflow: hidden;
}


.companyProfile-detail-body{
	font-size		: 0.9em;
}
.companyProfile-detail-logo{
	position		: absolute;
	z-index			: 999;
	width			: 100%;
	text-align		: center;
	margin-bottom	: 20px;
}
.companyProfile-detail-logo img.logo{
	max-width		: 120px;
	/* max-height		: 120px; */
	margin-top		: 110px;
}
.companyProfile-detail-picture{
	height			: 175px;
	overflow		: hidden;
	display			: flex;
	justify-content	: center;
	align-items		: center;
	/* border-bottom: solid 5px #FFD335; */
}
.companyProfile-detail-picture img{
	width			: 100%;
	filter			: blur(1px);
	filter			: saturate(0.5);
}
.companyProfile-detail-title{
	margin-top		: 70px;
	margin-bottom	: 12px;
	font-family		: 'Inter', calibri, sans-serif;
	font-size		: 1.3em;
	font-weight		: 600;
	text-align		: center;
}
.companyProfile-detail-content-text{
	font-size		: 0.8em;
	padding			: 0 20px;
	text-align		: justify;
}
.companyProfile-detail-url{
	padding			: 0 20px;
	margin			: 5px 0;
}
.companyProfile-detail-brand{
	margin-top		: 20px;
	padding			: 0 15px;
	text-align		: center;
}
.companyProfile-detail-brand img{
	max-width		: 64px;
	max-height		: 32px;
	margin			: 5px;
}